@import url("https://fonts.googleapis.com/css2?family=Economica:ital,wght@0,400;0,700;1,400;1,700&display=swap");
:root {
  --clr-black: #000000;
  --clr-white: #FFFFFF;
  --clr-dark: #1D2228;
  --clr-light: #E1E2E2;
  --clr-yellow: #CECE00;
}

body {
  background-color: var(--clr-dark);
  color: var(--clr-light);
  font-family: "Economica", sans-serif;
  padding: 0;
  margin: 0;
}

a {
  text-decoration: none;
  color: var(--clr-light);
}

h1 {
  font-size: 4.5em;
  padding: 0;
  margin: 0;
  text-shadow: 0px 0px 15px var(--clr-black);
}

p {
  max-width: 30vw;
  font-size: 2.3em;
  padding: 0;
  margin: 0;
  text-shadow: 0px 0px 15px var(--clr-black);
}

hr.divider {
  border-top: 3px solid var(--clr-yellow);
  border-radius: 5px;
  box-shadow: 0px 0px 15px var(--clr-black);
}

div.vertical-divider {
  height: 500px;
  width: 2px;
  background-color: var(--clr-yellow);
  border-radius: 5px;
  box-shadow: 0px 0px 15px var(--clr-black);
}

main {
  scroll-snap-type: y mandatory;
  height: 100vh;
  overflow-y: scroll;
}

section {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  width: 100vw;
  scroll-snap-align: center;
}

section.welcome {
  background-image: linear-gradient(rgba(0, 0, 0, 0.1882352941), rgba(0, 0, 0, 0.3764705882), #000000), url("../img/vluchte.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
section.welcome h1 {
  font-size: 8.5em;
  display: flex;
  align-items: center;
}
section.welcome p {
  font-size: 5em;
  text-align: center;
}
section.welcome img {
  height: 1.5em;
  filter: drop-shadow(0px 0px 10px var(--clr-white));
  margin-left: 2vw;
}

section.about {
  background-image: linear-gradient(#000000, rgba(0, 0, 0, 0.3764705882), rgba(0, 0, 0, 0.5019607843)), url("../img/bar.jpg");
  background-repeat: no-repeat;
  -o-object-fit: cover;
     object-fit: cover;
  background-size: auto 100%;
  background-position: 55vw;
  justify-content: flex-start;
}
section.about div.about {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 10vw;
  height: 500px;
}
section.about div.about h1 {
  width: 100%;
  text-align: start;
}

section.partners {
  flex-direction: column;
  justify-content: flex-start;
  background-color: var(--clr-white);
}
section.partners .title-box {
  background-color: var(--clr-dark);
  width: 100vw;
  box-shadow: 0 15px 15px -10px var(--clr-black);
}
section.partners .title-box h1 {
  text-shadow: 0px 0px 2px var(--clr-black);
  text-align: center;
  margin-top: 3vw;
}
section.partners .title-box .divider {
  width: 50%;
  box-shadow: 0px 0px 5px var(--clr-black);
  margin-bottom: 2vw;
}
section.partners div.grid-container {
  display: grid;
  margin: 2vw 10vw;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 20vh 20vh 20vh;
  gap: 3rem;
}
section.partners div.grid-container a div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 25px;
  height: 100%;
}
section.partners div.grid-container a div img {
  max-height: 100%;
  max-width: 100%;
  transition: all 1s;
}
section.partners div.grid-container div:hover img {
  transform: scale(0.7);
}

section.contact {
  flex-direction: column;
  background-color: var(--clr-light);
}
section.contact .contact-box {
  background-color: var(--clr-dark);
  padding: 25px;
  border-radius: 10px;
  box-shadow: 0px 0px 15px var(--clr-black);
  margin: 0 20vw;
  max-width: 600px;
}
section.contact hr.divider {
  width: 10vw;
  margin-left: 0vw;
}
section.contact p {
  max-width: none;
  text-align: left;
}

.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateX(-100%);
  transition: all 2s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
}

.hidden.partners, .hidden.contact {
  transform: translateX(0%);
  transition: all 1s;
  filter: blur(25px);
}

.show.partners, .show.contact {
  transform: translateX(0);
  filter: blur(0);
}

@media screen and (max-width: 1200px) {
  p {
    font-size: 2em;
  }
  section.partners div.grid-container {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
@media screen and (max-width: 930px) {
  h1 {
    font-size: 3.5em;
  }
  section.welcome h1 {
    font-size: 6.5em;
  }
  section.welcome p {
    font-size: 3.5em;
  }
  section.about {
    background-position: center;
  }
  section.about .vertical-divider {
    display: none;
  }
  section.about div {
    box-shadow: 0px 0px 15px 10px rgba(0, 0, 0, 0.5);
    background-color: rgba(0, 0, 0, 0.5);
  }
  section.about div p {
    max-width: 50vw;
  }
  section.partners div.grid-container {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: repeat(5, 12vh);
  }
}
@media screen and (max-width: 500px) {
  p {
    font-size: 1.7em;
  }
  section.welcome div {
    margin: 10vw;
  }
  section.welcome div p {
    font-size: 2.5em;
  }
  section.welcome div h1 {
    font-size: 5em;
  }
  section.welcome div img {
    height: 1em;
  }
  section.about div.about p {
    max-width: 60vw;
  }
  section.contact div.contact-box {
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    box-shadow: none;
    border-radius: 0;
  }
  section.contact div.contact-box * {
    margin: 0 10vw;
  }
  section.contact div.contact-box .divider {
    width: 25vw;
  }
}
@media screen and (max-height: 500px) {
  section.about div.about {
    padding: 0 5vw;
  }
  section.about div.about p {
    max-width: 70vw;
  }
  section.partners .title-box h1 {
    margin: 0;
  }
  section.partners .title-box .divider {
    margin-bottom: 8;
  }
  section.partners div.grid-container {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}/*# sourceMappingURL=style.css.map */